.loading-ring {
    display: inline-block;
    position: absolute;
    width: 80px;
    height: 80px;
    z-index: 1001;
    top: 100px;
}

    .loading-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 64px;
        height: 64px;
        margin: 8px;
        border: 8px solid #fff;
        border-radius: 50%;
        animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: #fff transparent transparent transparent;
    }

        .loading-ring div:nth-child(1) {
            animation-delay: -0.45s;
        }

        .loading-ring div:nth-child(2) {
            animation-delay: -0.3s;
        }

        .loading-ring div:nth-child(3) {
            animation-delay: -0.15s;
        }

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.loading-overlay {
    display: flex;
    position: absolute;
    justify-content: center;
    align-items: start;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    background: black;
    opacity: 0.3;
    z-index: 1000;
    width:100%;
}

/*
     FILE ARCHIVED ON 21:43:15 Jul 29, 2025 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 03:40:56 Jul 13, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 8.46
  exclusion.robots: 7.939
  exclusion.robots.policy: 0.044
  esindex: 0.009
  cdx.remote: 9.441
  LoadShardBlock: 98.485 (3)
  PetaboxLoader3.datanode: 82.141 (4)
  PetaboxLoader3.resolve: 73.201 (3)
  load_resource: 76.32
*/